 /* 
 *
 */

#ifndef UART_H
#define UART_H

#include "common.h"

typedef enum{
  UART_GPS_INTERFACE = 0,
  UART_CMD_INTERFACE
}UART_INTERFACE;

void uart_disable(void);
void uart_putc(uint8_t cr);
void uart_putstring(const uint8_t *str);
void uart_config(uint32_t txd_pin_number, uint32_t rxd_pin_number, uint32_t uart_if);
void uart_gps_init(void);
void uart_command_interface_init(void);
void uart_debug_putstring(const uint8_t *str);

#endif

// end of file
