#ifndef UIF_H
#define UIF_H 

#include "common.h"

#define MAX_CMD_LEN     32    
#define MAX_ARGV         7
#define MAX_ARGV_LEN     20    

#define CMD_NAME_LEN     9
#define CMD_USAGE_LEN    20    

void HandleCmd(char *RxData);
void PutPrompt(void);
void uif_command_check(void);

typedef struct {
    const char    cmdName[CMD_NAME_LEN];
    uint32_t      minCmdLen;
    void *        function;
    const char    cmdUsage[CMD_USAGE_LEN];
} cmdEntry;

#define CMD_PROMPT          "\n\r>>"
#define CMD_NOT_FOUND_MSG   "\r\nCommand not found."
#define CMD_INV_ARG_CNT_MSG "\r\nInvalid arguement count."

#endif    /* #ifndef CMD_H */

// end of file
