#include "nrf.h"
#include "nrf_delay.h"
#include "nrf_gpio.h"
#include "common.h"
#include "leds.h"

//*****************************************************************************
// Description: Toggle the current state of LED1
// Input:   None
// Output:  None
//
void led0_toggle(void)
{
  nrf_gpio_cfg_output(LED0_PIN);  
  nrf_gpio_pin_write(LED0_PIN, 1);
  nrf_delay_ms(250);
  nrf_gpio_pin_write(LED0_PIN, 0);
}

//*****************************************************************************
// Description: Toggle the current state of LED1
// Input:   None
// Output:  None
//
void led1_toggle(void)
{
  nrf_gpio_cfg_output(LED1_PIN);  
  nrf_gpio_pin_write(LED1_PIN, 1);
  nrf_delay_ms(250);
  nrf_gpio_pin_write(LED1_PIN, 0);
}

// end of file
